import { Options } from "../interfaces/options.interface";
import { readEtcdConfig } from "./etcd-config-reader";
import { readFileConfig } from "./file-config-reader";

export * from "./base-configuration.interface";
export * from "./etcd-config-reader";
export * from "./file-config-reader";

export function readConfiguration(option: Options) {
  try {
    return readEtcdConfig(option);
  } catch (e) {
    return readFileConfig(option);
  }
}
