import { readFile } from "fs/promises";
import { findUp } from "./find-up";

interface Pkg {
  name: string;
}

export async function getAppPkg<T = Pkg>(): Promise<T> {
  return await findUp("package.json", process.cwd())
    .then((path) => {
      if (path) {
        return readFile(path, "utf8");
      } else {
        throw new Error("Can't find package.json.");
      }
    })
    .then((str) => JSON.parse(str));
}
